#
# Shell commands and cross compilation tools
#
CD                                = cd
CP                                = cp
RM                                = rm
MV                                = mv
CAT                               = cat
DD                                = dd
GZIP                              = gzip
BZIP2                             = bzip2
CC                                = $(CROSS_COMPILE)gcc
STRIP                             = $(CROSS_COMPILE)strip
OBJCOPY                           = $(CROSS_COMPILE)objcopy
OBJDUMP                           = $(CROSS_COMPILE)objdump

#
# Host tools
#
TOOLS_ABSOLUTE_DIR                = ${MGM_PROJECT_BASE_DIR}/host/tools
IMGMERGE                          = ${TOOLS_ABSOLUTE_DIR}/imgmerge
IMGVERSION                        = ${TOOLS_ABSOLUTE_DIR}/./imgversion
IMGTAG                            = ${TOOLS_ABSOLUTE_DIR}/./imgtag
GEN_CHECKSUM                      = ${TOOLS_ABSOLUTE_DIR}/genTotalChecksum
IMGHDR                            = ${TOOLS_ABSOLUTE_DIR}/imghdr
MKSQUASHFS                        = ${TOOLS_ABSOLUTE_DIR}/mksquashfs
MKJFFS2                           = ${TOOLS_ABSOLUTE_DIR}/mkfs.jffs2
CHMODHTML                         = ${TOOLS_ABSOLUTE_DIR}/chmodhtml
PREIMGHDR                         = ${TOOLS_ABSOLUTE_DIR}/preimghdr

#
# Bootloader parameter
#
BOOT_PACKAGE                      = uboot_rtk_switch
BOOT_RELATIVE_DIR                 = u-boot-2011.12
BOOT_ABSOLUTE_DIR                 = $(MGM_PROJECT_BASE_DIR)/boot/$(BOOT_PACKAGE)/$(BOOT_RELATIVE_DIR)

#
# OS parameter
#
OS_PACKAGE                        = os_rtk_uClinux_switch
OS_RELATIVE_DIR                   = uClinux
OS_ABSOLUTE_DIR                   = $(MGM_PROJECT_BASE_DIR)/os/$(OS_PACKAGE)/$(OS_RELATIVE_DIR)

#
# SDK parameter
#
SDK_PACKAGE                       = sdk_rtk_switch
SDK_RELATIVE_DIR                  = rtk-sdk
SDK_ABSOLUTE_DIR                  = $(MGM_PROJECT_BASE_DIR)/sdk/$(SDK_PACKAGE)/$(SDK_RELATIVE_DIR)

#
# Images parameter
#
IMAGE_ABSOLUTE_DIR                = $(MGM_PROJECT_BASE_DIR)/image

#
# FW head parameters for file naming
#
ISS_SW_VERSION                    = 1-00-010
TAG_HEX_VERSION                   = 1.00.010

#
# Output files
#
OUTPUT_PREFIX                     = ${MODEL_NAME}-${ISS_SW_VERSION}
OUTPUT_BOOT_HEX                   = ${OUTPUT_PREFIX}-BOOT.hex
OUTPUT_OS_HEX                     = ${OUTPUT_PREFIX}-OS.hex
